<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR BANK</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-3">
              <input id="appendedInputButton" (keyup.enter)="doGetListBank()" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">
            </div>
            <div class="col-sm-1 pl-0 pr-0">
              <button class="btn btn-success"  (click)="doGetListBank()"><i class="fa fa-search"></i> Cari</button>
            </div>
            <div class="col-sm-5"></div>
            <div class="col-sm-3">
              <button class="pull-right btn btn-success" data-toggle="modal" (click)="doOpenFormAdd(); addModal.show();">
                <i class="icon-plus"></i> Tambah Bank Baru</button>
            </div>
          </div><br>
          <div>
            <table class="table table-bordered table-striped table-sm table-responsive-sm">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle">#</th>
                <th class="text-center align-middle" (click)="sort('kodeBank')">Kode Bank
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'kodeBank',
                                    'fa-sort-asc': (column == 'kodeBank' && isDesc),
                                    'fa-sort-desc': (column == 'kodeBank' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('namaBank')">Nama Bank
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaBank',
                                    'fa-sort-asc': (column == 'namaBank' && isDesc),
                                    'fa-sort-desc': (column == 'namaBank' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('cabangPembuka')">Cabang Pembuka
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'cabangPembuka',
                                    'fa-sort-asc': (column == 'cabangPembuka' && isDesc),
                                    'fa-sort-desc': (column == 'cabangPembuka' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('nomorRekening')">Nomor Rekening
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nomorRekening',
                                    'fa-sort-asc': (column == 'nomorRekening' && isDesc),
                                    'fa-sort-desc': (column == 'nomorRekening' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listBank || listBank.length===0">
              <tr>
                <td colspan="6" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of listBank | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <td>{{ data.kodeBank }}</td>
                <td class="text-left">{{ data.namaBank }}</td>
                <td>{{ data.cabangPembuka }}</td>
                <td>{{ data.nomorRekening }}</td>
                <td>
                  <button class="btn btn-success btn-sm" data-toggle="modal" (click)="setSelectedBank(data); doOpenFormEdit(); addModal.show();"><i class="icon-pencil"></i> Edit</button>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #addModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document" style="width: 80%;">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> {{modalTitle}} Bank</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Kode Bank</label>
                <input type="text" id="kodeBank" class="form-control" formControlName="kodeBank" placeholder="Kode Bank" [readonly]="modalTitle==='Ubah'">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Nama Bank</label>
                <input type="text" id="namaBank" class="form-control" formControlName="namaBank" placeholder="Nama Bank">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Cabang Pembuka</label>
                <input type="text" id="cabangPembuka" class="form-control" formControlName="cabangPembuka" placeholder="Cabang Pembuka">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Nomor Rekening</label>
                <input type="text" id="nomorRekening" class="form-control" formControlName="nomorRekening" placeholder="Nomor Rekening">
              </div>
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="addModal.hide()">Tutup</button>
        <button type="button" class="btn btn-success" (click)="addModal.hide(); submit()" [disabled]="formBuilder.invalid">
          <i class="fa fa-save"></i> Submit</button>
      </div>
    </div>
  </div>
</div>

